package com.pcloud.book.personalstage.enums;

public enum JumpTypeEnum {

    READER_TRIGGER(1,"读者输入关键词触发"),
    ROBOT_TRIGGER(2,"小睿发送关键词触发"),
    PAY_TRIGGER(3,"转账触发"),
    PAPER_TRIGGER(4, "需求定制单触发"),
    END_SERVICE(5,"人工客服结束触发"),
    PLAN_TRIGGER(6,"方案定制单触发"),
    TIME_TRIGGER(7,"定时跳转"),
    ZERO_BOOK(8,"0级书跳转"),
    NO_ZERO_BOOK(9,"非0级书跳转"),
    ADVISER_BOOK(10,"无等级且已收录图书跳转"),
    NO_ADVISER_BOOK(11,"无等级且未收录图书跳转"),
    /**
     * 无等级，无编辑收录，系统中有书
     */
    NO_ADVISER_BOOK_BOOK_EXIST(12,"无等级且未收录编辑图书跳转");

    public final Integer key;
    public final String desc;

    JumpTypeEnum(Integer key, String desc){
        this.key = key;
        this.desc = desc;
    }
}
